curl --request POST \
--url https://api.modellix.ai/api/v1/bytedance/seedance-1.5-pro-i2v/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_frame_image": "https://example.com/image.jpg",
"prompt": "The person smiles and waves"
}
'{
"code": 0,
"message": "success",
"data": {
"status": "pending",
"task_id": "task-abc123",
"model_id": "model-123",
"get_result": {
"method": "GET",
"url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
}
}
}Seedance 1.5 Pro supports audio-visual co-generation with multi-shot narrative, start/end frame control, and integrated audio output (voice, music, SFX).
curl --request POST \
--url https://api.modellix.ai/api/v1/bytedance/seedance-1.5-pro-i2v/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_frame_image": "https://example.com/image.jpg",
"prompt": "The person smiles and waves"
}
'{
"code": 0,
"message": "success",
"data": {
"status": "pending",
"task_id": "task-abc123",
"model_id": "model-123",
"get_result": {
"method": "GET",
"url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.modellix.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API Key authentication. Format: Bearer YOUR_API_KEY.
Body
At least one of first_frame_image or last_frame_image must be provided.
URL or Base64 data for the first frame image.
1"https://example.com/first.jpg"
URL or Base64 data for the last frame image.
1"https://example.com/last.jpg"
Description of the desired output.
1 - 2000Aspect ratio of the generated video.
16:9, 4:3, 1:1, 3:4, 9:16, 21:9, adaptive Output resolution of the video.
480p, 720p, 1080p Video duration in seconds (4-12 seconds).
4, 5, 6, 7, 8, 9, 10, 11, 12 Random seed for reproducible generation. Use -1 for random.
-1 <= x <= 2147483647Whether to keep the camera fixed during generation.
Whether to generate audio. 1.5 Pro exclusive feature.
Service tier for generation (e.g., default or flex).
default, flex Task expiration time in seconds.
3600 <= x <= 259200Whether to return the last frame of the generated video.